Frage Git auf ubuntu 14.10 kann nicht installiert werden [geschlossen]


Wie das Thema sagt, kann ich Git nicht installieren. Ich versuchte apt-get update gefolgt von apt-get upgrade und versuchte apt-get install git-core. Haben Sie das gleiche Problem in allen Fällen unten:

ubuntu-14:~ >> apt-get install git
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  git-man liberror-perl
Suggested packages:
  git-daemon-run git-daemon-sysvinit git-doc git-el git-email git-gui gitk gitweb git-arch git-cvs git-mediawiki git-svn
The following NEW packages will be installed:
  git git-man liberror-perl
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 3,066 kB/3,087 kB of archives.
After this operation, 24.9 MB of additional disk space will be used.
Do you want to continue? [Y/n] 
WARNING: The following packages cannot be authenticated!
  liberror-perl git-man git
Install these packages without verification? [y/N] y
Err http://us.archive.ubuntu.com/ubuntu/ utopic/main git-man all 1:2.1.0-1
  404  Not Found [IP: 2001:67c:1562::17 80]
Err http://us.archive.ubuntu.com/ubuntu/ utopic/main git i386 1:2.1.0-1
  404  Not Found [IP: 2001:67c:1562::17 80]
E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/g/git/git-man_2.1.0-1_all.deb  404  Not Found [IP: 2001:67c:1562::17 80]

E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/g/git/git_2.1.0-1_i386.deb  404  Not Found [IP: 2001:67c:1562::17 80]

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

2
2018-02-15 02:11


Ursprung


Versuchen apt-get -o Acquire::ForceIPv4=true update dann apt-get -o Acquire::ForceIPv4=true install git. Sieht aus, als würde es nicht von IPv6 auf ipv4 zurückfallen - mehr Infos hier - unix.stackexchange.com/questions/9940/... - Sir_Scofferoff
14.10 ist über das Ende des Lebens hinaus: Selbst wenn Sie andere Probleme beheben, können Sie nichts aus den Original-Repositories installieren - steeldriver
14.10 ist lange tot und Sie müssen auf ein unterstütztes Release updaten, um hier weiter Support zu bekommen. - Thomas Ward♦
Danke für deine Antworten. Ich glaube, ich hatte den Eindruck, dass die Veröffentlichung von 14 Jahren langfristige Unterstützung hatte. Schlägst du vor, dass ich es nur aufstelle? Für Hinweise zur Durchführung des Upgrades würde ich mich sehr freuen. Danke noch einmal! - M. A. Sridhar


Antworten:


Sie sollten git mit apt-get way installieren

sudo apt-get update
sudo apt-get install git

nur als das empfohlene Vorgehen.

Falls das nicht funktioniert, versuchen Sie es

sudo apt-get update
sudo apt-get install build-essential libssl-dev libcurl4-gnutls-dev libexpat1-dev gettext unzip

Die obige Methode zur Installation von git besteht darin, die Software zu kompilieren   Quelle. Dies dauert länger und wird nicht von Ihnen aufrechterhalten   Paketmanager, aber Sie können die neueste Version herunterladen   und gibt dir etwas Kontrolle über die Optionen, die du bei dir eingibst   möchte anpassen.

Als Work around - alle git-Repositories haben auch eine alternative Möglichkeit, den gesamten Inhalt als Zip-Datei herunterzuladen.


2
2018-02-15 02:47